AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationKling

Create a video

Create a Kling video task with the platform Video Generations API.

Submit common parameters through the platform fields and pass Kling-specific parameters through metadata.

POST/v1/video/generations

Create Kling videos using the public JSON task format. The platform maps public fields to Kling's native parameters, and vendor extension fields are placed in metadata. Examples of model IDs include kling-v1, kling-v2-master, kling-v2-6, and kling-video-o1. The actual available models are based on the model list returned by the current API Key

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Request Body

application/json

Kling platform format video creation request.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json